com.holonplatform.core

## Interface HasConfiguration<C extends ParameterSet>

- Type Parameters:
    `C` - Actual configuration `ParameterSet` type
  All Known Subinterfaces:
    BeanProperty<T>, BeanProperty.Builder<T>, BeanPropertySet<T>, BeanPropertySet.Builder<T,B>, BooleanBeanProperty, BooleanProperty, BooleanProperty.BooleanPropertyBuilder, CloneableProperty<T,P,B>, CloneableProperty.CloneablePathProperty<T,P>, CollectionPathProperty<E,C>, CollectionProperty<E,C>, CollectionProperty.ListProperty<T>, CollectionProperty.SetProperty<T>, ListPathProperty<T>, ListPathProperty.ListPathPropertyBuilder<T>, ListVirtualProperty<T>, ListVirtualProperty.ListVirtualPropertyBuilder<T>, NumericBeanProperty<N>, NumericProperty<N>, NumericProperty.NumericPropertyBuilder<N>, PathProperty<T>, PathProperty.PathPropertyBuilder<T>, Property<T>, PropertyBox, PropertyBoxProperty, PropertyBoxProperty.PropertyBoxPropertyBuilder, PropertySet<P>, QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.PropertyQueryFunction<T,A>, QueryFunction.Sum<T>, SetPathProperty<T>, SetPathProperty.SetPathPropertyBuilder<T>, SetVirtualProperty<T>, SetVirtualProperty.SetVirtualPropertyBuilder<T>, StringBeanProperty, StringFunction, StringFunction.Lower, StringFunction.Upper, StringProperty, StringProperty.StringPropertyBuilder, TemporalBeanProperty<T>, TemporalFunction.Day, TemporalFunction.Hour, TemporalFunction.Month, TemporalFunction.Year, TemporalProperty<T>, TemporalProperty.TemporalPropertyBuilder<T>, VirtualProperty<T>, VirtualProperty.Builder<T,P,B>, VirtualProperty.VirtualPropertyBuilder<T>

      public interface HasConfiguration<C extends ParameterSet>

  Declares the support for a `ParameterSet` type configuration property container.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getConfiguration()` Get the configuration property set.
    `static Optional<HasConfiguration<?>>` | `hasConfiguration(Object object)` Checks if given object supports a configuration parameter set.

- - ### Method Detail

    - #### getConfiguration

          C getConfiguration()

      Get the configuration property set.
      Returns:
        The configuration property set (must never be null)

    - #### hasConfiguration

          static Optional<HasConfiguration<?>> hasConfiguration(Object object)

      Checks if given object supports a configuration parameter set.
      Parameters:
        `object` - The object to check
      Returns:
        If given object supports a configuration parameter set, the object itself is returned as a `HasConfiguration` instance. Otherwise, an empty Optional is returned.

Copyright © 2019 The Holon Platform. All rights reserved.